libzypp 17.37.10

Modalias.cc File Reference
`#include <fnmatch.h>`
`#include <iostream>`
`#include <fstream>`
`#include <vector>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/AutoDispose.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/target/modalias/Modalias.h>`

Go to the source code of this file.

## Classes
struct | zypp::target::Modalias::Impl
| Modalias implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "MODALIAS"
#define | PATH_IS(D, F)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "MODALIAS"

Definition at line 22 of file Modalias.cc.

## ◆ PATH_IS

#define PATH_IS | ( |  | D,
|  |  | F )

Value:
( ::strcmp( file_r, F ) == 0 && ::strcmp( dir_r.c_str(), D ) == 0 )